function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
var STORAGE_KEY = 'payGroup';

/**
 * @title: 创建交易组key
 * @description: 
 * @param {string} orderId
 * @return {*}
 * @Author: zhiwei.Wang
 * @Date: 2024-08-16 10:40
 */
var createPayGroupKey = function createPayGroupKey(orderId) {
  return "".concat(STORAGE_KEY, "_").concat(orderId);
};

/**
 * @title: 同步交易组到storage
 * @description: 
 * @param {PayGroup} payGroup
 * @return {*}
 * @Author: zhiwei.Wang
 * @Date: 2024-08-16 10:40
 */
export var syncPayGroupToStorage = function syncPayGroupToStorage(payGroup) {
  localStorage.setItem(createPayGroupKey(payGroup.order_id), JSON.stringify(payGroup));
};

/**
 * @title: 通过订单id获取交易组
 * @description: 
 * @param {string} orderId
 * @return {*}
 * @Author: zhiwei.Wang
 * @Date: 2024-08-16 10:40
 */
export var getPayGroupFromStorage = function getPayGroupFromStorage(orderId) {
  var key = createPayGroupKey(orderId);
  var payGroupStr = localStorage.getItem(key);
  if (payGroupStr) {
    return JSON.parse(payGroupStr);
  }
  return null;
};

/**
 * @title: 删除交易组
 * @description: 
 * @param {string} orderId
 * @return {*}
 * @Author: zhiwei.Wang
 * @Date: 2024-08-16 10:40
 */
export var removePayGroupFromStorage = function removePayGroupFromStorage(orderId) {
  var key = createPayGroupKey(orderId);
  localStorage.removeItem(key);
};

/**
 * @title: 获取交易组参数
 * @description: 
 * @param {string} orderId
 * @param {any} rest
 * @return {*}
 * @Author: zhiwei.Wang
 * @Date: 2024-08-16 10:40
 */
export var getPayGroupParamsFromStorage = function getPayGroupParamsFromStorage(orderId, rest) {
  try {
    // 获取交易组信息
    var payGroup = getPayGroupFromStorage(orderId);
    if (!payGroup) {
      return null;
    }

    // 合并传进来的参数
    return _objectSpread(_objectSpread({}, rest), {}, {
      amount: payGroup === null || payGroup === void 0 ? void 0 : payGroup.wait_amount,
      payment_group_id: payGroup === null || payGroup === void 0 ? void 0 : payGroup.payment_group_id
    });
  } catch (err) {}
  return null;
};

/**
 * @title: 通过订单id设置交易号
 * @description: 
 * @param {string} orderId
 * @param {string} payNumber
 * @return {*}
 * @Author: zhiwei.Wang
 * @Date: 2024-08-16 10:41
 */
export var setPayNumber = function setPayNumber(orderId, payNumber) {
  // 查找交易组
  var payGroup = getPayGroupFromStorage(orderId);
  if (payGroup) {
    payGroup.pay_number = payNumber;
    syncPayGroupToStorage(payGroup);
  }
};